/// @addtogroup krak
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file krakSetting.h
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

// ################### Settings for the krak package ###################
// This file controls the setting in which the krak package is compiled.


#ifndef _KRAK_SETTING_H_
#define _KRAK_SETTING_H_

// This allows automatic detection of operating system and compiler
#include "capd/operatingSystemSetting.h"
#include "capd/compilerSetting.h"



/* If you wish just main() instead of int main(int argc, char* argv[])
   under Win95 or when using wxWidgets uncomment the following.
   This is needed because in the above cases main is actually redefined
   to mainEntry (Mainly used in krak_edu to avoid unnecessary warnings) */

//#define NO_CMD_LINE_ARGS

// Choose between color and black/white output
#if !defined (COLOR256) && !defined (BLACKWHITE)
#define COLOR256
//#define BLACKWHITE
#endif

// Comment out the following if you want the screen refreshing turned off
// for faster output. This has effect only under WIN95 or if using wxWidgets.
#define _REFRESH_

// Uncomment these lines if you want to change the location of the top
// upper corner of the graphics window.
//#define LEFT_TOP_X 10
//#define LEFT_TOP_Y 10


// Automatic detection of wxWindows (wxWidgets).
// Comment the middle #define out if you don't want to use wxWidgets.
#if defined (__WXMSW__) || defined (__WXGTK__) || defined (__WXMOTIF__) || \
 defined (__WXX11__) || defined (__WXMAC__) || defined (__WXUNIVERSAL__)
#define WXWIN
#endif

#endif // _KRAK_SETTING_H_

/// @}
